scala.xml
class MetaData

[source: `scala/xml/MetaData.scala`]

@serializable
`abstract` `class` MetaData
  `extends` Collection[MetaData]

  Attribute information item, and linked list of attribute information items. These are triples consisting of `prefix,key,value`. To obtain the namespace, `getNamespace` must be called with the parent. If next is null, this is the last attribute in the MetaData list.

  Either an UnprefixedAttribute or a PrefixedAttribute

Todo
  _vlue should be a normalized attribute value

Direct Known Subclasses:
  Null, PrefixedAttribute, UnprefixedAttribute

Method Summary
`def` | append (m : MetaData) : MetaData appends given MetaData items to this MetaData list.
`abstract def` | apply (key : java.lang.String) : Seq[Node] Gets value of unqualified (unprefixed) attribute with given key, null if not found
`abstract def` | apply (uri : java.lang.String, scp : NamespaceBinding, k : java.lang.String) : Seq[Node] Gets value of prefixed attribute with given key and namespace, null if not found
`final def` | apply (namespace : java.lang.String, owner : Node, key : java.lang.String) : Seq[Node] convenience method, same as `apply(namespace, owner.scope, key)`.
`def` | containedIn1 (m : MetaData) : Boolean
`abstract def` | copy (next : MetaData) : MetaData returns a copy of this MetaData item with next field set to argument.
`def` | elements : Iterator[MetaData] returns an iterator on attributes
`override def` | equals (that : Any) : Boolean deep equals method
`abstract def` | equals1 (that : MetaData) : Boolean shallow equals method
`override def` | filter (f : (MetaData) => Boolean) : MetaData filters this sequence of meta data
`final def` | get (uri : java.lang.String, scope : NamespaceBinding, key : java.lang.String) : Option[Seq[Node]] gets value of qualified (prefixed) attribute with given key.
`final def` | get (uri : java.lang.String, owner : Node, key : java.lang.String) : Option[Seq[Node]] same as get(uri, owner.scope, key)
`final def` | get (key : java.lang.String) : Option[Seq[Node]] Gets value of unqualified (unprefixed) attribute with given key, None if not found
`abstract def` | getNamespace (owner : Node) : java.lang.String if owner is the element of this metadata item, returns namespace
`def` | hasNext : Boolean
`override abstract def` | hashCode : Int
`abstract def` | isPrefixed : Boolean
`abstract def` | key : java.lang.String returns key of this MetaData item
`def` | length : Int
`def` | length (i : Int) : Int
`def` | map (f : (MetaData) => Text) : List[Text] maps this sequence of meta data
`abstract def` | next : MetaData returns Null or the next MetaData item
`final def` | remove (namespace : java.lang.String, owner : Node, key : java.lang.String) : MetaData
`abstract def` | remove (key : java.lang.String) : MetaData
`abstract def` | remove (namespace : java.lang.String, scope : NamespaceBinding, key : java.lang.String) : MetaData
`def` | size : Int Returns the number of elements in this collection.
`override def` | toString : java.lang.String
`def` | toString (sb : StringBuilder) : StringBuilder
`abstract def` | toString1 (sb : StringBuilder) : Unit
`def` | toString1 : java.lang.String
`abstract def` | value : Seq[Node] returns value of this MetaData item
`abstract def` | wellformed (scope : NamespaceBinding) : Boolean

Methods inherited from Collection
toArray, stringPrefix

Methods inherited from Iterable
concat, ++, map, flatMap, partition, takeWhile, dropWhile, take, drop, foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, toStream, mkString, mkString, mkString, addString, addString, copyToArray, isEmpty, projection, hasDefiniteSize

Methods inherited from AnyRef
getClass, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`` `def` append(m : MetaData) : MetaData

  appends given MetaData items to this MetaData list.

Parameters
  `m -` ...
Returns
  ...

`abstract` `def` apply(key : java.lang.String) : Seq[Node]

  Gets value of unqualified (unprefixed) attribute with given key, null if not found

Parameters
  `key -`
Returns
  value as Seq[Node] if key is found, null otherwise

`final` `def` apply(namespace : java.lang.String, owner : Node, key : java.lang.String) : Seq[Node]

  convenience method, same as `apply(namespace, owner.scope, key)`.

Parameters
  `namespace -` ...
  `owner -` ...
  `key -` ...
Returns
  ...

`abstract` `def` apply(uri : java.lang.String, scp : NamespaceBinding, k : java.lang.String) : Seq[Node]

  Gets value of prefixed attribute with given key and namespace, null if not found

Parameters
  `uri -` namespace of key
  `scp -` a namespace scp (usually of the element owning this attribute list)
  `key -` to be looked fore
Returns
  value as Seq[Node] if key is found, null otherwise

`` `def` containedIn1(m : MetaData) : Boolean

Parameters
  `m -` ...
Returns
  `true` iff ...

`abstract` `def` copy(next : MetaData) : MetaData

  returns a copy of this MetaData item with next field set to argument.

Parameters
  `next -` ...
Returns
  ...

`abstract` `def` getNamespace(owner : Node) : java.lang.String

  if owner is the element of this metadata item, returns namespace

`` `def` hasNext : Boolean

`` `def` length : Int

`` `def` length(i : Int) : Int

`abstract` `def` isPrefixed : Boolean

`override` `def` equals(that : Any) : Boolean

  deep equals method

`` `def` elements : Iterator[MetaData]

  returns an iterator on attributes

`` `def` size : Int

  Returns the number of elements in this collection.

Returns
  number of collection elements.

Overrides
  Collection.size

`abstract` `def` equals1(that : MetaData) : Boolean

  shallow equals method

`override` `def` filter(f : (MetaData) => Boolean) : MetaData

  filters this sequence of meta data

`abstract` `def` key : java.lang.String

  returns key of this MetaData item

`abstract` `def` value : Seq[Node]

  returns value of this MetaData item

`` `def` map(f : (MetaData) => Text) : List[Text]

  maps this sequence of meta data

`abstract` `def` next : MetaData

  returns Null or the next MetaData item

`final` `def` get(key : java.lang.String) : Option[Seq[Node]]

  Gets value of unqualified (unprefixed) attribute with given key, None if not found

Parameters
  `key -`
Returns
  value in Some(Seq[Node]) if key is found, None otherwise

`final` `def` get(uri : java.lang.String, owner : Node, key : java.lang.String) : Option[Seq[Node]]

  same as get(uri, owner.scope, key)

`final` `def` get(uri : java.lang.String, scope : NamespaceBinding, key : java.lang.String) : Option[Seq[Node]]

  gets value of qualified (prefixed) attribute with given key.

Parameters
  `uri -` namespace of key
  `scope -` a namespace scp (usually of the element owning this attribute list)
  `key -` to be looked fore
Returns
  value as Some[Seq[Node]] if key is found, None otherwise

`override abstract` `def` hashCode : Int

`` `def` toString1 : java.lang.String

`abstract` `def` toString1(sb : StringBuilder) : Unit

`override` `def` toString : java.lang.String

Overrides
  Collection.toString

`` `def` toString(sb : StringBuilder) : StringBuilder

`abstract` `def` wellformed(scope : NamespaceBinding) : Boolean

Parameters
  `scope -` ...
Returns
  `true` iff ...

`abstract` `def` remove(key : java.lang.String) : MetaData

Parameters
  `key -` ...
Returns
  ...

`abstract` `def` remove(namespace : java.lang.String, scope : NamespaceBinding, key : java.lang.String) : MetaData

Parameters
  `namespace -` ...
  `scope -` ...
  `key -` ...
Returns
  ...

`final` `def` remove(namespace : java.lang.String, owner : Node, key : java.lang.String) : MetaData

Parameters
  `namespace -` ...
  `owner -` ...
  `key -` ...
Returns
  ...